# $Revision: 1.27 $, $Date: 2011/03/01 06:28:32 $
%include	/usr/lib/rpm/macros.php
%define		_class		Contact_Vcard_Parse
%define		_status		stable
%define		_pearname	%{_class}

Summary:	%{_pearname} - parse vCard 2.1 and 3.0 files
Summary(pl.UTF-8):	%{_pearname} - analiza plików vCard 2.1 i 3.0
Name:		php-pear-%{_pearname}
Version:	1.32.0
Release:	2
Epoch:		0
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	d4a305d49434e05c7d7022c5d12faaab
URL:		http://pear.php.net/package/Contact_Vcard_Parse/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Obsoletes:	php-pear-Contact_Vcard_Parse-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Allows you to parse vCard files and text blocks, and get back an array
of the elements of each vCard in the file or text.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa pozwala na analizowanie plików i bloków tekstu vCard i pobranie
tablicy elementów z każdego vCard w pliku lub tekście.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}.php
%dir %{php_pear_dir}/Contact/Vcard
%{php_pear_dir}/Contact/Vcard/Parse.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Contact_Vcard_Parse.spec,v $
Revision 1.27  2011/03/01 06:28:32  glen
- release 2

Revision 1.26  2011/01/23 01:03:04  sparky
- dropped -tests subpackage

Revision 1.25  2010/08/19 19:00:13  glen
- up to 1.32.0

Revision 1.24  2008/01/31 12:16:05  glen
- rel 2

Revision 1.23  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.21  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.20  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.19  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.18  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.17  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.16  2005/10/27 17:48:19  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.15  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.14  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.13  2005/09/23 11:57:03  qboosh
- pl for -tests

Revision 1.12  2005/09/19 23:36:28  glen
- 1.31.0

Revision 1.11  2005/09/19 21:43:39  glen
- integer BR

Revision 1.10  2005/09/19 20:35:06  glen
- use new pear build system

Revision 1.9  2004/12/03 21:54:14  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.8  2004/05/30 13:13:48  adamg
- fixed english information about status of the package

Revision 1.7  2004/03/15 17:44:29  ankry
- massive cosmetics

Revision 1.6  2004/02/22 16:25:34  adamg
- updated to 1.30

Revision 1.5  2003/10/07 20:54:19  adamg
- do not use macros in URL

Revision 1.4  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.3  2003/06/08 16:26:12  qboosh
- pl description, cleanups

Revision 1.2  2003/06/03 20:43:57  adamg
- adapterized

Revision 1.1  2003/05/31 14:58:41  adamg
- initial import
